#!/bin/bash
set -e
apk add git make cmake git g++ gcc python3 lua perl jq curl
mkdir /build
tag=$(curl -sL https://api.github.com/repos/cuberite/cuberite/releases/latest | jq -r ".tag_name")
echo "tag: $tag"
sleep 5
git clone --recursive https://github.com/cuberite/cuberite.git -b "$tag" /build/cuberite
mkdir /build/cuberite/Release
cd /build/cuberite/Release
cmake -DNO_NATIVE_OPTIMIZATION=1 -DCMAKE_BUILD_TYPE=RELEASE ..
make
tar zcvf "/out/cuberite-$tag.tar.gz" Server
